# MotiCon Dataset

This dataset is developed at Stanford and is circulated under the CC BY 4.0 license.

## Release log

Current version - v1.0

1.0 - First public release, 2022-03-28

## Contents

1. `moticon.pkl`: Contains the full dataset (frame annotations and YouTube video ids).
2. `LICENSE`: Creative Commons Attribution 4.0 International License
3. `README.md`: This README file with dataset instructions.

## Format

The `moticon.pkl` consists of 71 video segments across 6 concept classes. Each segments contains:
1. `vid_id` is the segment id (index to the dictionary).
2. `vid_name` is the YouTube video name from which this segment originates.
3. `vid_link`is the YouTube video link for downloading purposes (we downloaded 1920x1080 at 29.97/30 FPS).
4. `con_class` is the concept class name for this segment (jumping jacks, torso twists, etc).
5. `frame_ann` is the frame-level annotations for this segment `[s, s_r1, e_r1, s_r2, e_r2, s_r3, e_r3, e]`. Here, `s` & `e` give the start & end frame annotations for the segment and `s_rX` and `e_rX` give start & end frame annotations for three repetition instances.

## Questions

For any questions / troubles / issues regarding the MotiCon dataset, please reach out to Sumith Kulal (sumith@cs.stanford.edu).
